org.eclipse.viatra.query.patternlanguage.emf.vql

## Interface JavaConstantValue

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, Expression, org.eclipse.emf.common.notify.Notifier, ValueReference
  All Known Implementing Classes:
    JavaConstantValueImpl

      public interface JavaConstantValue
      extends ValueReference

  A representation of the model object 'Java Constant Value'.

  The following features are supported:

  - `Class Ref`
  - `Field Ref`
  See Also:
    `PatternLanguagePackage.getJavaConstantValue()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.common.types.JvmDeclaredType` | `getClassRef()` Returns the value of the 'Class Ref' reference.
    `org.eclipse.xtext.common.types.JvmField` | `getFieldRef()` Returns the value of the 'Field Ref' reference.
    `void` | `setClassRef(org.eclipse.xtext.common.types.JvmDeclaredType value)` Sets the value of the '`Class Ref`' reference.
    `void` | `setFieldRef(org.eclipse.xtext.common.types.JvmField value)` Sets the value of the '`Field Ref`' reference.

    - ### Methods inherited from interface org.eclipse.viatra.query.patternlanguage.emf.vql.ValueReference

      `toString`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getClassRef

          org.eclipse.xtext.common.types.JvmDeclaredType getClassRef()

      Returns the value of the 'Class Ref' reference.

      If the meaning of the 'Class Ref' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Class Ref' reference.
      See Also:
        `setClassRef(JvmDeclaredType)`, `PatternLanguagePackage.getJavaConstantValue_ClassRef()`
      Generated:
      Model:

    - #### setClassRef

          void setClassRef(org.eclipse.xtext.common.types.JvmDeclaredType value)

      Sets the value of the '`Class Ref`' reference.
      Parameters:
        `value` - the new value of the 'Class Ref' reference.
      See Also:
        `getClassRef()`
      Generated:

    - #### getFieldRef

          org.eclipse.xtext.common.types.JvmField getFieldRef()

      Returns the value of the 'Field Ref' reference.

      If the meaning of the 'Field Ref' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Field Ref' reference.
      See Also:
        `setFieldRef(JvmField)`, `PatternLanguagePackage.getJavaConstantValue_FieldRef()`
      Generated:
      Model:

    - #### setFieldRef

          void setFieldRef(org.eclipse.xtext.common.types.JvmField value)

      Sets the value of the '`Field Ref`' reference.
      Parameters:
        `value` - the new value of the 'Field Ref' reference.
      See Also:
        `getFieldRef()`
      Generated: